phpBBSQL注入漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1195098 漏洞类型 输入验证
发布时间 2007-02-08 更新时间 2007-02-08
CVE编号 CVE-2006-2219 CNNVD-ID CNNVD-200702-174
漏洞平台 N/A CVSS评分 5.0
|漏洞来源
https://www.securityfocus.com/bid/87630
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200702-174
|漏洞详情
phpBB是一种用PHP语言实现的基于Web的开放源码论坛程序,使用较为广泛。它支持多种数据库作为后端,如Oracle、MSSQL、MySql、PostGres等等。Sql注入漏洞,phpBB将所有输入(INT)都加到了SQL查询的末尾(LIMIT)。如果值小于0或大于-2^32的话查询就会失败。
|受影响的产品
phpBB Group phpBB 2.0.20
|参考资料

来源:XF
名称:phpbb-multiple-path-disclosure(26306)
链接:http://xforce.iss.net/xforce/xfdb/26306
来源:FULLDISC
名称:20060505phpBB2.0.20FullPathDisclosureandSQLErrors
链接:http://marc.theaimsgroup.com/?l=full-disclosure&m=114685931319903&w=2
来源:BUGTRAQ
名称:20060508Re:phpBB2.0.20FullPathDisclosureandSQLErrors
链接:http://marc.theaimsgroup.com/?l=bugtraq&m=114731067321710&w=2
来源:BUGTRAQ
名称:20060505phpBB2.0.20FullPathDisclosureandSQLErrors
链接:http://marc.theaimsgroup.com/?l=bugtraq&m=114695651425026&w=2
来源:SREASON
名称:837
链接:http://securityreason.com/securityalert/837